Jump to content

Search the Community

Showing results for tags 'help me'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 34 results

  1. leaf

    tartan/plaid

    Hi I am trying to create a tartan/plaid design using hatch solid......overlapping stripes eg a yellow over a red = orange.........what are the steps so the colours merge.ie create the orange? any instructions would be appreciated
  2. I'm working on a building a helmet, and I have completed a basic 3d model to help me visualize how I will build it. But I don't know how to flatten out a cone. the helm is made out of 5 pieces, a top, a top side piece and a bottom side(the sides are fabricated twice to make a full helm) I have a problem with the top sides and making them a flat layout.
  3. RyanHarbird

    Designing wolfs head (help)

    Hello Guys Im new to sketchup and only played around with photoshop and GIMP so im new to 3D modelling and only been on the program for around 3 hours. As you may have guessed i'm still pretty bad having not had time to properly practice. Anyway I am looking to design 3 wolves heads in to a metal side case of a PC.If its possible the coloured parts would be the bits that are cut out of the case .Eventually its a project as im in to PC case modding and would like to take it to a company and get it case cut in to the side. How would I go around this and is there a tutorial that could help me that you could think of. Any help would be a benefit right now as im completely stuck. Thank you in advance Ryan
  4. Hi - New to auto cad & need help I'll explain as best i can. Version:AutoCAD Mechanical 2012. I have a number of CAD blocks i need to change an attribute in each of the blocks multiple times. The attribute DEVNAME - Varies* over multiple blocks. I need to change the number used in the attributes eg: Block 1 attribute DEVNAME = RR1 Block 2 attribute DEVNAME = LR1 Block 2 attribute DEVNAME = AR1 I would like to change the 1 in all the attributes to a 2 without having to manually change each attribute name individually. The result I'm after would be: Block 1 attribute DEVNAME = RR2 Block 2 attribute DEVNAME = LR2 Block 2 attribute DEVNAME = AR2 I have hundreds to change hopefully there is an easy way. Thanks in advance any help i receive.
  5. i need help bending a loft inwards or create a whirlpool curve so i am trying to make the corner peice of a rubix cube 2.0 https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcS9uLEM_-bAVuVC78FZHS-69MjpuQGb3s00dup4GpjhhD13... https://encrypted-tbn2.gstatic.com/images?q=tbn:ANd9GcTjXyEHZppZfRJzBLAi34dufUdUH6DeYBcYkbWvyB6zddwy... btw this is for a school so thanks in advance Part1ofcube.ipt
  6. Hey everyone, I guess this is a simple project but I have absolutely 0 ideas on how to do it. I know the basics of AutoCAD, but I'm not good at it. This is my assignment. This is the example of how my assignment should look like (keep in mind that it is not the final result of my assignment, but an example of how i should finalise it.) Any help would be appreciated!
  7. Hi there, You'll have to forgive my ignorance and I'm new to the whole LISP routine area. My work has this old LISP routine for rotating text which I modified to include MTEXT and blocks. I was hoping to change it solely for block rotation in another lisp routine. The way we have our blocks setup, I would need this LISP routine to add an additional 90 degrees to the matching rotation of the line. Could anyone please help me go about doing this? Every attempt at it has failed so far. Here is the code (defun rottxt_err (s) (if (/= s "Function cancelled") (princ (strcat "\nError: " s)) ) (setq *error* old_error) (princ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun rot () (setq leng (sslength txt_set) n 0 ) (while (/= n leng) (setq ent (entget (ssname txt_set n)) n (1+ n) ent (subst (cons 50 ang) (assoc 50 ent) ent ) ) (entmod ent) ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun chk () (cond ((= ent nil) (princ "\nNothing found there.\nSelect a \"LINE\" to align. ") (setq ent (entsel)) (chk) ) ((/= (cdr (assoc 0 (entget (car ent)))) "LINE") (princ "\nNo \"LINE\" found there.\nSelect a \"LINE\" to align. ") (setq ent (entsel)) (chk) ) ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun rottxt () (princ "\nSelect a \"LINE\" to align. ") (setq ent (entsel)) (chk) (setq ang (angle (cdr (assoc 10 (entget (car ent)))) (cdr (assoc 11 (entget (car ent)))) ) ) (rot) (setq ans (getstring "\nOK like this? y/n <y> ")) (if (= (strcase ans) "N") (progn (setq ang (+ ang pi)) (rot) ) ) (princ) ) ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun c:rottxt () (setq old_error *error* *error* rottxt_err ) (princ "\nSelect TEXT to rotate. ") (setq txt_set (ssget '((0 . "TEXT,MTEXT")))) (if txt_set (rottxt) (alert "No \"TEXT\" found.") ) (setq *error* old_error old_error nil txt_set nil leng nil ent nil ang nil ans nil n nil ) (princ) )
  8. Hi. I'm a beginner in CAD, I'm going to ask how to draft a lot using the coordinates(latitude and longitude) from google earth. Example: Point A. Latitude: 11 Degree 18'2.22"N Longitude: 124 Degree 57'46.89"E Please check my attachment picture.
  9. Im interning for a medium sized company and I was tasked with creating a new file structure and naming system for our engineering files. I was wondering what are the best ways to name CAD files so that they are easy to find and make sense. Thanks you all your help guys. I really need it. Also we use both auto cad and solidworks to make mostly large metal parts if that makes any difference
  10. Is it possible to customize the DIMJOGLINE symbol? The /\/ part that gets inserted is kind of spread out too much in my opinion, I'm wondering if there's a block somewhere hidden in the Autodesk folders that can be edited. After inserting this thing, I see no block in the drawing when I list the blocks. Thanks in advance! R.L. Hamm
  11. I'm trying to get LISP to automate the editing of a bunch of dynamic blocks for basic things like width and depth. I want to have all these values set up by model numbers in in an Excel spreadsheet. In order to accomplish this, I've used the code for "Set Dynamic Property Value" by Lee Mac and "GetExcel" by Terry Miller (thank you both so much for getting me this far). I have succeeded in getting LISP to manipulate dynamic blocks with Lee Mac's code, but only using hard numbers. I can also get Getexcel to return numbers from my .xls. But I can't get those Excel numbers into the dynamic block values. Here's how the code I came up with looks (the part that I wrote is at the bottom and is my attempt to get all the stuff above to work together): ;------------------------------------------------------------------------------- ; Program Name: GetExcel.lsp [GetExcel R4] ; Created By: Terry Miller (Email: [email="terrycadd@yahoo.com"]terrycadd@yahoo.com[/email]) ; (URL: [url]http://web2.airmail.net/terrycad[/url]) ; Date Created: 9-20-03 ; Function: Several functions to get and put values into Excel cells. ;------------------------------------------------------------------------------- ; Revision History ; Rev By Date Description ;------------------------------------------------------------------------------- ; 1 TM 9-20-03 Initial version ; 2 TM 8-20-07 Rewrote GetExcel.lsp and added several new sub-functions ; including ColumnRow, Alpha2Number and Number2Alpha written ; by Gilles Chanteau from Marseille, France. ; 3 TM 12-1-07 Added several sub-functions written by Gilles Chanteau ; including Cell-p, Row+n, and Column+n. Also added his ; revision of the PutCell function. ; 4 GC 9-20-08 Revised the GetExcel argument MaxRange$ to accept a nil ; and get the current region from cell A1. ;------------------------------------------------------------------------------- ; Overview of Main functions ;------------------------------------------------------------------------------- ; GetExcel - Stores the values from an Excel spreadsheet into *ExcelData@ list ; Syntax: (GetExcel ExcelFile$ SheetName$ MaxRange$) ; Example: (GetExcel "C:\\Folder\\Filename.xls" "Sheet1" "L30") ; GetCell - Returns the cell value from the *ExcelData@ list ; Syntax: (GetCell Cell$) ; Example: (GetCell "H15") ; Function example of usage: ; (defun c:Get-Example () ; (GetExcel "C:\\Folder\\Filename.xls" "Sheet1" "L30");<-- Edit Filename.xls ; (GetCell "H21");Or you can just use the global *ExcelData@ list ; );defun ;------------------------------------------------------------------------------- ; OpenExcel - Opens an Excel spreadsheet ; Syntax: (OpenExcel ExcelFile$ SheetName$ Visible) ; Example: (OpenExcel "C:\\Folder\\Filename.xls" "Sheet1" nil) ; PutCell - Put values into Excel cells ; Syntax: (PutCell StartCell$ Data$) or (PutCell StartCell$ DataList@) ; Example: (PutCell "A1" (list "GP093" 58.5 17 "Base" "3'-6 1/4\"")) ; CloseExcel - Closes Excel session ; Syntax: (CloseExcel ExcelFile$) ; Example: (CloseExcel "C:\\Folder\\Filename.xls") ; Function example of usage: ; (defun c:Put-Example () ; (OpenExcel "C:\\Folder\\Filename.xls" "Sheet1" nil);<-- Edit Filename.xls ; (PutCell "A1" (list "GP093" 58.5 17 "Base" "3'-6 1/4\""));Repeat as required ; (CloseExcel "C:\\Folder\\Filename.xls");<-- Edit Filename.xls ; (princ) ; );defun ;------------------------------------------------------------------------------- ; Note: Review the conditions of each argument in the function headings ;------------------------------------------------------------------------------- ; GetExcel - Stores the values from an Excel spreadsheet into *ExcelData@ list ; Arguments: 3 ; ExcelFile$ = Path and filename ; SheetName$ = Sheet name or nil for not specified ; MaxRange$ = Maximum cell ID range to include or nil to get the current region from cell A1 ; Syntax examples: ; (GetExcel "C:\\Temp\\Temp.xls" "Sheet1" "E19") = Open C:\Temp\Temp.xls on Sheet1 and read up to cell E19 ; (GetExcel "C:\\Temp\\Temp.xls" nil "XYZ123") = Open C:\Temp\Temp.xls on current sheet and read up to cell XYZ123 ;------------------------------------------------------------------------------- (defun GetExcel (ExcelFile$ SheetName$ MaxRange$ / Column# ColumnRow@ Data@ ExcelRange^ ExcelValue ExcelValue ExcelVariant^ MaxColumn# MaxRow# Range$ Row# Worksheet) (if (= (type ExcelFile$) 'STR) (if (not (findfile ExcelFile$)) (progn (alert (strcat "Excel file " ExcelFile$ " not found.")) (exit) );progn );if (progn (alert "Excel file not specified.") (exit) );progn );if (gc) (if (setq *ExcelApp% (vlax-get-object "Excel.Application")) (progn (alert "Close all Excel spreadsheets to continue!") (vlax-release-object *ExcelApp%)(gc) );progn );if (setq ExcelFile$ (findfile ExcelFile$)) (setq *ExcelApp% (vlax-get-or-create-object "Excel.Application")) (vlax-invoke-method (vlax-get-property *ExcelApp% 'WorkBooks) 'Open ExcelFile$) (if SheetName$ (vlax-for Worksheet (vlax-get-property *ExcelApp% "Sheets") (if (= (vlax-get-property Worksheet "Name") SheetName$) (vlax-invoke-method Worksheet "Activate") );if );vlax-for );if (if MaxRange$ (progn (setq ColumnRow@ (ColumnRow MaxRange$)) (setq MaxColumn# (nth 0 ColumnRow@)) (setq MaxRow# (nth 1 ColumnRow@)) );progn (progn (setq CurRegion (vlax-get-property (vlax-get-property (vlax-get-property *ExcelApp% "ActiveSheet") "Range" "A1") "CurrentRegion") );setq (setq MaxRow# (vlax-get-property (vlax-get-property CurRegion "Rows") "Count")) (setq MaxColumn# (vlax-get-property (vlax-get-property CurRegion "Columns") "Count")) );progn );if (setq *ExcelData@ nil) (setq Row# 1) (repeat MaxRow# (setq Data@ nil) (setq Column# 1) (repeat MaxColumn# (setq Range$ (strcat (Number2Alpha Column#)(itoa Row#))) (setq ExcelRange^ (vlax-get-property *ExcelApp% "Range" Range$)) (setq ExcelVariant^ (vlax-get-property ExcelRange^ 'Value)) (setq ExcelValue (vlax-variant-value ExcelVariant^)) (setq ExcelValue (cond ((= (type ExcelValue) 'INT) (itoa ExcelValue)) ((= (type ExcelValue) 'REAL) (rtosr ExcelValue)) ((= (type ExcelValue) 'STR) (vl-string-trim " " ExcelValue)) ((/= (type ExcelValue) 'STR) "") );cond );setq (setq Data@ (append Data@ (list ExcelValue))) (setq Column# (1+ Column#)) );repeat (setq *ExcelData@ (append *ExcelData@ (list Data@))) (setq Row# (1+ Row#)) );repeat (vlax-invoke-method (vlax-get-property *ExcelApp% "ActiveWorkbook") 'Close :vlax-False) (vlax-invoke-method *ExcelApp% 'Quit) (vlax-release-object *ExcelApp%)(gc) (setq *ExcelApp% nil) *ExcelData@ );defun GetExcel ;------------------------------------------------------------------------------- ; GetCell - Returns the cell value from the *ExcelData@ list ; Arguments: 1 ; Cell$ = Cell ID ; Syntax example: (GetCell "E19") = value of cell E19 ;------------------------------------------------------------------------------- (defun GetCell (Cell$ / Column# ColumnRow@ Return Row#) (setq ColumnRow@ (ColumnRow Cell$)) (setq Column# (1- (nth 0 ColumnRow@))) (setq Row# (1- (nth 1 ColumnRow@))) (setq Return "") (if *ExcelData@ (if (and (>= (length *ExcelData@) Row#)(>= (length (nth 0 *ExcelData@)) Column#)) (setq Return (nth Column# (nth Row# *ExcelData@))) );if );if Return );defun GetCell ;------------------------------------------------------------------------------- ; OpenExcel - Opens an Excel spreadsheet ; Arguments: 3 ; ExcelFile$ = Excel filename or nil for new spreadsheet ; SheetName$ = Sheet name or nil for not specified ; Visible = t for visible or nil for hidden ; Syntax examples: ; (OpenExcel "C:\\Temp\\Temp.xls" "Sheet2" t) = Opens C:\Temp\Temp.xls on Sheet2 as visible session ; (OpenExcel "C:\\Temp\\Temp.xls" nil nil) = Opens C:\Temp\Temp.xls on current sheet as hidden session ; (OpenExcel nil "Parts List" nil) = Opens a new spreadsheet and creates a Part List sheet as hidden session ;------------------------------------------------------------------------------- (defun OpenExcel (ExcelFile$ SheetName$ Visible / Sheet$ Sheets@ Worksheet) (if (= (type ExcelFile$) 'STR) (if (findfile ExcelFile$) (setq *ExcelFile$ ExcelFile$) (progn (alert (strcat "Excel file " ExcelFile$ " not found.")) (exit) );progn );if (setq *ExcelFile$ "") );if (gc) (if (setq *ExcelApp% (vlax-get-object "Excel.Application")) (progn (alert "Close all Excel spreadsheets to continue!") (vlax-release-object *ExcelApp%)(gc) );progn );if (setq *ExcelApp% (vlax-get-or-create-object "Excel.Application")) (if ExcelFile$ (if (findfile ExcelFile$) (vlax-invoke-method (vlax-get-property *ExcelApp% 'WorkBooks) 'Open ExcelFile$) (vlax-invoke-method (vlax-get-property *ExcelApp% 'WorkBooks) 'Add) );if (vlax-invoke-method (vlax-get-property *ExcelApp% 'WorkBooks) 'Add) );if (if Visible (vla-put-visible *ExcelApp% :vlax-true) );if (if (= (type SheetName$) 'STR) (progn (vlax-for Sheet$ (vlax-get-property *ExcelApp% "Sheets") (setq Sheets@ (append Sheets@ (list (vlax-get-property Sheet$ "Name")))) );vlax-for (if (member SheetName$ Sheets@) (vlax-for Worksheet (vlax-get-property *ExcelApp% "Sheets") (if (= (vlax-get-property Worksheet "Name") SheetName$) (vlax-invoke-method Worksheet "Activate") );if );vlax-for (vlax-put-property (vlax-invoke-method (vlax-get-property *ExcelApp% "Sheets") "Add") "Name" SheetName$) );if );progn );if (princ) );defun OpenExcel ;------------------------------------------------------------------------------- ; PutCell - Put values into Excel cells ; Arguments: 2 ; StartCell$ = Starting Cell ID ; Data@ = Value or list of values ; Syntax examples: ; (PutCell "A1" "PART NUMBER") = Puts PART NUMBER in cell A1 ; (PutCell "B3" '("Dim" 7.5 "9.75")) = Starting with cell B3 put Dim, 7.5, and 9.75 across ;------------------------------------------------------------------------------- (defun PutCell (StartCell$ Data@ / Cell$ Column# ExcelRange Row#) (if (= (type Data@) 'STR) (setq Data@ (list Data@)) ) (setq ExcelRange (vlax-get-property *ExcelApp% "Cells")) (if (Cell-p StartCell$) (setq Column# (car (ColumnRow StartCell$)) Row# (cadr (ColumnRow StartCell$)) );setq (if (vl-catch-all-error-p (setq Cell$ (vl-catch-all-apply 'vlax-get-property (list (vlax-get-property *ExcelApp% "ActiveSheet") "Range" StartCell$)) );setq );vl-catch-all-error-p (alert (strcat "The cell ID \"" StartCell$ "\" is invalid.")) (setq Column# (vlax-get-property Cell$ "Column") Row# (vlax-get-property Cell$ "Row") );setq );if );if (if (and Column# Row#) (foreach Item Data@ (vlax-put-property ExcelRange "Item" Row# Column# (vl-princ-to-string Item)) (setq Column# (1+ Column#)) );foreach );if (princ) );defun PutCell ;------------------------------------------------------------------------------- ; CloseExcel - Closes Excel spreadsheet ; Arguments: 1 ; ExcelFile$ = Excel saveas filename or nil to close without saving ; Syntax examples: ; (CloseExcel "C:\\Temp\\Temp.xls") = Saveas C:\Temp\Temp.xls and close ; (CloseExcel nil) = Close without saving ;------------------------------------------------------------------------------- (defun CloseExcel (ExcelFile$ / Saveas) (if ExcelFile$ (if (= (strcase ExcelFile$) (strcase *ExcelFile$)) (if (findfile ExcelFile$) (vlax-invoke-method (vlax-get-property *ExcelApp% "ActiveWorkbook") "Save") (setq Saveas t) );if (if (findfile ExcelFile$) (progn (vl-file-delete (findfile ExcelFile$)) (setq Saveas t) );progn (setq Saveas t) );if );if );if (if Saveas (vlax-invoke-method (vlax-get-property *ExcelApp% "ActiveWorkbook") "SaveAs" ExcelFile$ -4143 "" "" :vlax-false :vlax-false nil );vlax-invoke-method );if (vlax-invoke-method (vlax-get-property *ExcelApp% "ActiveWorkbook") 'Close :vlax-False) (vlax-invoke-method *ExcelApp% 'Quit) (vlax-release-object *ExcelApp%)(gc) (setq *ExcelApp% nil *ExcelFile$ nil) (princ) );defun CloseExcel ;------------------------------------------------------------------------------- ; ColumnRow - Returns a list of the Column and Row number ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 1 ; Cell$ = Cell ID ; Syntax example: (ColumnRow "ABC987") = '(731 987) ;------------------------------------------------------------------------------- (defun ColumnRow (Cell$ / Column$ Char$ Row#) (setq Column$ "") (while (< 64 (ascii (setq Char$ (strcase (substr Cell$ 1 1)))) 91) (setq Column$ (strcat Column$ Char$) Cell$ (substr Cell$ 2) );setq );while (if (and (/= Column$ "") (numberp (setq Row# (read Cell$)))) (list (Alpha2Number Column$) Row#) '(1 1);default to "A1" if there's a problem );if );defun ColumnRow ;------------------------------------------------------------------------------- ; Alpha2Number - Converts Alpha string into Number ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 1 ; Str$ = String to convert ; Syntax example: (Alpha2Number "ABC") = 731 ;------------------------------------------------------------------------------- (defun Alpha2Number (Str$ / Num#) (if (= 0 (setq Num# (strlen Str$))) 0 (+ (* (- (ascii (strcase (substr Str$ 1 1))) 64) (expt 26 (1- Num#))) (Alpha2Number (substr Str$ 2)) );+ );if );defun Alpha2Number ;------------------------------------------------------------------------------- ; Number2Alpha - Converts Number into Alpha string ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 1 ; Num# = Number to convert ; Syntax example: (Number2Alpha 731) = "ABC" ;------------------------------------------------------------------------------- (defun Number2Alpha (Num# / Val#) (if (< Num# 27) (chr (+ 64 Num#)) (if (= 0 (setq Val# (rem Num# 26))) (strcat (Number2Alpha (1- (/ Num# 26))) "Z") (strcat (Number2Alpha (/ Num# 26)) (chr (+ 64 Val#))) );if );if );defun Number2Alpha ;------------------------------------------------------------------------------- ; Cell-p - Evaluates if the argument Cell$ is a valid cell ID ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 1 ; Cell$ = String of the cell ID to evaluate ; Syntax examples: (Cell-p "B12") = t, (Cell-p "BT") = nil ;------------------------------------------------------------------------------- (defun Cell-p (Cell$) (and (= (type Cell$) 'STR) (or (= (strcase Cell$) "A1") (not (equal (ColumnRow Cell$) '(1 1))) );or );and );defun Cell-p ;------------------------------------------------------------------------------- ; Row+n - Returns the cell ID located a number of rows from cell ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 2 ; Cell$ = Starting cell ID ; Num# = Number of rows from cell ; Syntax examples: (Row+n "B12" 3) = "B15", (Row+n "B12" -3) = "B9" ;------------------------------------------------------------------------------- (defun Row+n (Cell$ Num#) (setq Cell$ (ColumnRow Cell$)) (strcat (Number2Alpha (car Cell$)) (itoa (max 1 (+ (cadr Cell$) Num#)))) );defun Row+n ;------------------------------------------------------------------------------- ; Column+n - Returns the cell ID located a number of columns from cell ; Function By: Gilles Chanteau from Marseille, France ; Arguments: 2 ; Cell$ = Starting cell ID ; Num# = Number of columns from cell ; Syntax examples: (Column+n "B12" 3) = "E12", (Column+n "B12" -1) = "A12" ;------------------------------------------------------------------------------- (defun Column+n (Cell$ Num#) (setq Cell$ (ColumnRow Cell$)) (strcat (Number2Alpha (max 1 (+ (car Cell$) Num#))) (itoa (cadr Cell$))) );defun Column+n ;------------------------------------------------------------------------------- ; rtosr - Used to change a real number into a short real number string ; stripping off all trailing 0's. ; Arguments: 1 ; RealNum~ = Real number to convert to a short string real number ; Returns: ShortReal$ the short string real number value of the real number. ;------------------------------------------------------------------------------- (defun rtosr (RealNum~ / DimZin# ShortReal$) (setq DimZin# (getvar "DIMZIN")) (setvar "DIMZIN" (setq ShortReal$ (rtos RealNum~ 2 ) (setvar "DIMZIN" DimZin#) ShortReal$ );defun rtosr ;------------------------------------------------------------------------------- (princ);End of GetExcel.lsp ;;;THIS IS THE ORIGINAL CODE PULLED FROM [url]http://www.cadtutor.net/forum/archive/index.php/t-89036.html?[/url] ;;;top half not used....just the setdynpropvalue (defun c:test ( / blk ) (if (and (setq blk (car (entsel "\nSelect dynamic block: "))) (setq blk (vlax-ename->vla-object blk)) (= "AcDbBlockReference" (vla-get-objectname blk)) (= :vlax-true (vla-get-isdynamicblock blk)) ) (LM:setdynpropvalue blk "distance1" 1.0) ) (princ) ) ;; Set Dynamic Block Property Value - Lee Mac ;; Modifies the value of a Dynamic Block property (if present) ;; blk - [vla] VLA Dynamic Block Reference object ;; prp - [str] Dynamic Block property name (case-insensitive) ;; val - [any] New value for property ;; Returns: [any] New value if successful, else nil (defun LM:setdynpropvalue ( blk prp val ) (setq prp (strcase prp)) (vl-some '(lambda ( x ) (if (= prp (strcase (vla-get-propertyname x))) (progn (vla-put-value x (vlax-make-variant val (vlax-variant-type (vla-get-value x)))) (cond (val) (t)) ) ) ) (vlax-invoke blk 'getdynamicblockproperties) ) ) (vl-load-com) (princ) ;;;;;;;;;;;; ;;;Test for plugging excel numbers into dynamic blocks (defun c:dynant () (GetExcel "C:\\Users\\eli.garcia\\Desktop\\getexceltest.xls" "Sheet1" "B5");<-- Edit Filename.xls (setq DA (GetCell "B2"));Or you can just use the global *ExcelData@ list ( / blk ) (if (and (setq blk (car (entsel "\nSelect dynamic block: "))) (setq blk (vlax-ename->vla-object blk)) (= "AcDbBlockReference" (vla-get-objectname blk)) (= :vlax-true (vla-get-isdynamicblock blk)) ) ((LM:setdynpropvalue blk "depth" DA) (LM:setdynpropvalue blk "half-width" DA)) ) (princ) ) ) I've attempted to attached a text file of all of this, but apparently that tool is broken right now, thus the huge post. I'm pretty close to being a novice at this, but I'm learning in the little time my work allows. My thought is that the way I used SETQ is wrong or that SETQ can't work with Excel like this. Please help.
  12. JoeyG_77

    Time Logging ...

    Hey everyone ... I need some help and I have noooo idea where to start or how to write the code needed to do my thought. I need a text file that gives a marker when you open and close a drawing w/ a time stamp and so i can track my day w/o trying to figure out how many hours I worked on a drawing. This has to be a continuous list for the day. There was a previous post from 2010 which worked great but it put an individual text file in each drawing location. I need one text file so i can see all the drawings that were opened and closed w/ the time & date..... So any help would be much appreciated Joey G
  13. We currently bought Building Design Suite from a re-seller and currently waiting on the product key for activation. We are trying to go ahead and download the suite. I have tried to go through Virtual Agent, but am consistently having problems. There's 4 parts to the download through the VA and only part 4 can be complete. I've tried several times and still get the same result as before. Can it be because i am using internet explore? is there another way to download the suite? Please help!!!!!!
  14. KShanahan_638

    Layer issues

    I work in the HVAC field. I've just around a year of experience with the program and have never had this problem before. I use 2 layers; 1 for piping and another for linears and dimensions, etc. For some reason, everything shows up on the model space, but once i plotted on the paper space, a good chunk of the layer i use for my dimensions are not showing up at all. I've regenerated the drawing, checked the frozen/unfrozen state, made sure the layer was on, went through layer properties and my printer logo does appear without the red line through it. If anybody has any input or have experienced this problem before, anything would help because i'm stuck. Thanks
  15. I need to change the attribute of "tag" = "PRO" in all blocks of the model space of the active document in autocad. The text you need to add is "my project". I searched for information about walking blocks and change the attributes but I get nothing. Can anyone help me please?
  16. Hi Basic Info is that I'm wanting to buy a Lenovo s20 laptop with a; Intel® Celeron® Processor N2840 (2.16 GHz, 2.58 GHz with Burst, 1 MB cache) Ram 4 Gb Storage 320 Gb Im basically wondering will the processor run Autocad 2015 if not is there any small laptops (smaller the better) that are cheap and cheerful.
  17. DJRandall

    Questions!

    My friend is wanting to know the answers to these questions? 1a What is the advantage of creating a Block for use in an AutoCAD drawing? 1b Why is it recommended to draw Blocks on Layer 0? 2a What is the difference between a Block and a WBlock? 2b What is the advantage of being able tocreate and use WBlocks in AutoCADdrawings? 3a Why would there be a need to convert aninserted Block back into itsconstituent parts? 3b Describe the process of removing anunwanted Block from an AutoCADdrawing 4a What is the advantage of adding Attributes to a Block? 4b Why is important to “define” the Attributes to added to a Block before the Block is created? 5a What is the advantage of attaching anexternal drawing (XRef) for use in the current drawing? 5b What is the principle difference betweenattaching an XRef to an AutoCAD drawing and inserting a Block into an AutoCADdrawing? 5c Why is it important to ensure that an XRefdrawing is located in the same folder as the drawing that references it?
  18. Hello, I am semi-new to AutoCAD but have a fairly good knowledge of how to work the program now. However, I am continuously having problems with the presspull command. When I try to use the command on an object, the object is raised but not filled. It looks sort of like a fence/outline around the border of the object with a grid pattern. This is really frustrating. How do I fix this??
  19. hello this is my first post here and it would be a question:) so we are working on this new project. and its kinda big project. my problem is that the drawing is so big it's a 32mb drawing and my computer is not responding or freezes every time i save, go to other lay out or even just panning. can any one please suggest me what to do if you have encounter this kind of problem.. i already tried purge it made it a bit faster but still it freezes for about 30 minutes then respond again. so i did some research and i don't know how i came up with the DXF file but right now im editing the drawing in this DXF file format. could i save it and open it again? also how would i send it if our project manager needed the CAD file, if i send this much smaller DXF file will they be able to open the drawing? Any suggestion would help Thanks a lot. my Computer Specs 4gb RAM 4gb ddr3 nvdia video card Windows 8 3.3ghz computer speed i3
  20. I have a fully electrical drawing set complete with I/O from my PLC I want to generate a .xlm file. I then want to write a program that will scrape the file looking for I/O addresses, and then assign aliases based on the descriptions. I’m having trouble with the .xlm file. When I generate the file the I/O looks like this: - Wire> What I need is something that includes the description. I know they are associated in some way because if I export to Excel the same I/O point looks like this: What do I need to change in order to associate the description to appear in my .xlm?
  21. I haven't used Inventor in about 4 years, and I tried to create a project in Inventor using the 2013 version, but once I created a project file a bunch of the original settings got messed up. I now can't open a drawing, assembly, or presentation from the home window that pops up. I can only use the drop down icon to open a part file. Also, because I can't access the home drop down menu I can't specify whether I want the project to be measured in metric or english format. I think that I may have deleted the source of these files, but I couldn't find them in my trash on the computer and I'm not very tech savvy. How can I reset my inventor to the original settings so I can actually use it properly again? Thank you!!
  22. dgohman

    AutoCAD MEP 2013 Part Question

    This is my first time posting so I am not sure if this is in the right category. I am trying to create undefined ductwork in AutoCAD MEP 2013 with single line. Then convert it into double line using the Calculate Duct Sizes. It always converts my branches into Tee's with a 90 Degree Angle. Is there a way to have it use a wye or create a custom Tee that can use a 45 Degree Angle? Thanks
  23. randomBullets

    May I get my Username changed?

    May I get my Username changed? Curious if an administrator could be so kind to do this for me? I've been out of the game for awhile but I recently resumed my CAD career.
  24. G'day, I have a stange inventor problem i am hoping some one can help me with. I am currently running Inventor Professional 2011. The problem occurs when attempting to create a section view, detail view, croping or any other type of view editing command in the .idw drawing. First of all i place my base view, then when i am wanting to section or any of the other i get this error message 'The specified inputs did not create sweep geometry (faces and/or edges). Try by changing path geometry and/or creating the profile on a sketch plane that is perpendicular to the path and contains one of the path vertices.' Now the strange part is that if i reduce the length of the Part i do not get the error message. It seems inventor can not handle very long parts (my part is approximatly 1000 metres long) is there a way that i can create section views/ detail veiws/ crop ? I have attached a screen shot. thanks.
  25. Fellow Cadders, I've encountered a pretty nasty problem over the past week. I can no longer add specific layouts to existing sheet sets. I can make a new sheet set, but I cannot see the drawings that I would like to add to the sheet set. The only "solution" I've found is to make a new sheet set, save each of the desired dwgs as newly renamed dwgs, and then, f if I pat myself on the head and spin around in 3 complete circles, I have a 78% chance of being able to add them to the new sheet set. Obviously, this is like cutting off your hand and holding it, while your friend shakes your deadhand, instead of just shaking his hand. I've read about this so-called dbl file, but much like Bigfoot, I have not seen one with my own eyes. We have never had this problem in our office- got a new server- had this problem (isolated to the new drive) - got it "fixed" - problem has spread to older drives. Is there an antidote? I'm beginning to lose faith. Any help would be great. Thanks Civil 3D 2010, Windows 7
×